#
# Conditional build:
%bcond_without	static_libs	# don't build static library

%define		subver	rc5
%define		rel		16
Summary:	An ASCII art GFX library
Summary(fr.UTF-8):	Bibliothèque AA (Ascii Art)
Summary(es.UTF-8):	Biblioteca ASCII art
Summary(pl.UTF-8):	Biblioteka graficzna ASCII Art
Summary(pt_BR.UTF-8):	Uma biblioteca para ASCII art
Summary(ru.UTF-8):	Библиотека консольной графики (ASCII Art)
Summary(uk.UTF-8):	Бібліотека консольної графіки (ASCII Art)
Name:		aalib
Version:	1.4
Release:	0.%{subver}.%{rel}%{?tld}
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/aa-project/%{name}-%{version}%{subver}.tar.gz
# Source0-md5:	9801095c42bba12edebd1902bcf0a990
Source1:	%{name}-config.1
Patch0:		%{name}-info.patch
Patch1:		%{name}-debian_man.patch
Patch2:		%{name}-am18.patch
URL:		http://aa-project.sourceforge.net/aalib/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gpm-devel
BuildRequires:	libtool
BuildRequires:	slang-devel >= 2.0.0
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AA-lib is a low level gfx library just as many other libraries are.
The main difference is that AA-lib does not require graphics device.
In fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with powerful ascii-art renderer. Now my
linux boots with a nice penguin logo at secondary display (yes! Like
Win95 does:) AA-lib API is designed to be similar to other graphics
libraries. Learning a new API would be a piece of cake!

%description -l fr.UTF-8
La bibliothèque AA est nécessaire pour GIMP. Elle offre la possibilité
de travailler dans des contextes graphiques sans affichage.

%description -l pl.UTF-8
AA-lib jest niskopoziomową biblioteką graficzną podobnie jak wiele
innych bibliotek. Główna różnica pomiędzy nimi jest taka, że AA-lib
nie wymaga trybu graficznego. Właściwie nie ma możliwości wyświetlenia
czegoś w trybie graficznym. AA-lib zastępuje te staromodne metody
wysoko wydajnym narzędziem do renderowania ascii-art. Teraz mój Linux
startuje z ładnym logo pingwina na drugim monitorze. AA-lib API jest
zaprojektowane tak by być podobnym do innych graficznych bibliotek.
Nauka nowego API będzie bułką z masłem!

%description -l pt_BR.UTF-8
Uma biblioteca para trabalhar com ASCII art.

%description -l ru.UTF-8
AA-lib - это низкоуровневая графическая библиотека. Ее основное
отличие от других графических библиотек в том, что AA-lib не требует
графического устройства. На самом деле, графический (в обычном смысле
этого слова) вывод и невозможен. AA-lib переводит графику в так
называемый ASCII-Art.

%description -l uk.UTF-8
AA-lib - це низькорівнева графічна бібліотека. Головна відмінність її
від інших графічних бібліотек в тому, о AA-lib не потребує графічного
пристрою. Насправді, графічний (в звичному розумінні цього слова)
вивід і неможливий. AA-lib перетворює графіку в так званий ASCII-Art.

%package devel
Summary:	Header files and libraries for aalib
Summary(pl.UTF-8):	Pliki nagłówkowe dla aalib
Summary(ru.UTF-8):	Хедеры для построения программ с AAlib
Summary(uk.UTF-8):	Хедери для побудови програм з AAlib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gpm-devel
Requires:	slang-devel
Requires:	xorg-lib-libX11-devel

%description devel
The header files for development of programs using the AAlib.

%description devel -l pl.UTF-8
Pliki nagłówkowe do pisania programów używających AAlib.

%description devel -l ru.UTF-8
Хедеры для построения программ с AAlib.

%description devel -l uk.UTF-8
Хедери для побудови програм з AAlib.

%package static
Summary:	Static aalib library
Summary(pl.UTF-8):	Statyczna biblioteka aalib
Summary(ru.UTF-8):	Статическая библиотека для построения программ с aalib
Summary(uk.UTF-8):	Статична бібліотека для побудови програм з aalib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static aalib library.

%description static -l pl.UTF-8
Statyczna biblioteka aalib.

%description static -l ru.UTF-8
Статическая библиотека для программирования с aalib.

%description static -l uk.UTF-8
Статична бібліотека для програмування з aalib.

%package progs
Summary:	AA-lib tools
Summary(pl.UTF-8):	Narzędzia AA-lib
Summary(ru.UTF-8):	Утилиты для AA-lib
Summary(uk.UTF-8):	Утиліти для AA-lib
Group:		Applications/Terminal
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
AA-lib tools.

%description progs -l pl.UTF-8
Narzędzia AA-lib.

%description progs -l ru.UTF-8
Утилиты для AA-lib.

%description progs -l uk.UTF-8
Утиліти для AA-lib.

%prep
%setup -q -n %{name}-%{version}.0
%patch0 -p1
%patch1 -p1
%patch2 -p1

# don't include aclocal.m4 from configure.in
tail -n +2 configure.in > c.tmp
mv -f c.tmp configure.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/aalib-config.1

%{__rm} -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README NEWS AUTHORS ANNOUNCE ChangeLog
%attr(755,root,root) %{_libdir}/libaa.so.*.*
%ghost %{_libdir}/libaa.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aalib-config
%{_libdir}/libaa.so
%{_libdir}/libaa.la
%{_includedir}/*.h
%{_infodir}/*.info*
%{_mandir}/man1/aalib-config.1*
%{_mandir}/man3/*
%{_aclocaldir}/*.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libaa.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aafire
%attr(755,root,root) %{_bindir}/aainfo
%attr(755,root,root) %{_bindir}/aasavefont
%attr(755,root,root) %{_bindir}/aatest
%{_mandir}/man1/aafire.1*
%changelog
* Sun Jul 16 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/aalib.git;a=log;h=master

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> b8710c7
- fix building with texinfo 5.x
- rel 16

* Fri Mar 02 2012 Elan Ruusamäe <glen@pld-linux.org> ee63604
- package ghost soname symlink

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 35554ff
- dropped pre-cvs changelog

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 592ae8f
- release 14

* Sun Aug 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5885b4a
- release 13

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1757c8c
- release 12

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 8dcae16
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> 3dc97de
- added missing #

* Sat Jul 21 2007 witekfl <witekfl@pld-linux.org> 75eee89
- added bcond_without static_libs

* Fri May 04 2007 shadzik <shadzik@pld-linux.org> ea4f781
- URL

* Tue Feb 13 2007 qrczak <qrczak@pld-linux.org> 4a11e11
- Added epoch in requirements.

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 87edf83
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9e50dea
- converted to UTF-8

* Sat Jan 27 2007 blekot <blekot@pld-linux.org> cd30263
- fixed version - release number

* Tue Feb 14 2006 Jakub Bogusz <qboosh@pld-linux.org> d684f2f
- sorted BRs

* Sun Feb 12 2006 Paweł Sikora <pluto@pld-linux.org> 0566222
- xorg modular deps.

* Fri Sep 16 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 211bd35
- br for new slang

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> df619f6
- BR: texinfo

* Fri Dec 17 2004 sparky <sparky@pld-linux.org> da7bda1
- Spanish summary/description fixes

* Thu Nov 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 8035eea
- strict internal deps, unifications

